package cycle;

import static org.junit.Assert.assertFalse;

import java.io.File;
import java.io.FileNotFoundException;

import org.junit.BeforeClass;
import org.junit.Test;

import config.Example;
import edu.udel.cis.vsl.tass.config.VerifyConfiguration;
import edu.udel.cis.vsl.tass.front.minimp.ModelExtractor;
import edu.udel.cis.vsl.tass.model.IF.ModelIF;
import edu.udel.cis.vsl.tass.verify.Verification;

public class CycleTest {

	private static ModelIF model;
	private static VerifyConfiguration configuration;

	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		File rootDirectory = new File(Example.exampleDirectory, "cycle");

		configuration = new VerifyConfiguration(new File(rootDirectory,
				"TASSREP"));
		configuration.setSourceFile(new File(rootDirectory, "cycle.c"));
		configuration.setNumProcs(1);
		configuration.setModelName("cycle");
		model = ModelExtractor.extractModel(configuration);
	}

	@Test
	public void testVerify() throws FileNotFoundException {
		assertFalse(Verification.verify(model, configuration, true));
	}
}
